## ros-noetic-rwt-plot 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_plot)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  rosbridge_server
  rospy
  rwt_utils_3rdparty
  std_msgs
  roswww
)

catkin_package(
  CATKIN_DEPENDS geometry_msgs rosbridge_server rospy std_msgs rwt_utils_3rdparty roswww
)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(PROGRAMS
  scripts/array.py
  scripts/cos.py
  scripts/random_float.py
  scripts/random_point.py
  scripts/sin.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch rostest)

  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/test_rwt_plot.test)
endif()

## ros-noetic-rwt-plot 0.1.1

=== debian/changelog ===
ros-noetic-rwt-plot (0.1.1-2buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.1.0-2buster) buster; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * add test for rwt tools (#110 <https://github.com/tork-a/visualization_rwt/issues/110>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.0.5-2buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.0.4-2buster) buster; urgency=high

  * Add settings for ROS connection (#76 <https://github.com/tork-a/visualization_rwt//issues/76>)
  * Modified rwt's javascript module path. (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Furuta Yuki, Kei Okada, Iory Yanokura

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.0.3-2buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-rwt-plot (0.0.2-2buster) buster; urgency=high

  * remove old rosbuild files
  * reomve depends to the packages released from CDN
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * don't make functions within a loop
  * catkinize visualization_rwt packages
  * changes the color according to the level of the statuses #15 <https://github.com/tork-a/visualization_rwt/issues/15>
  * fixing conflict
  * supporting ticks #15 <https://github.com/tork-a/visualization_rwt/issues/15>:
    
      * #15 <https://github.com/tork-a/visualization_rwt/issues/15>: plotting data
      * #17 <https://github.com/tork-a/visualization_rwt/issues/17>: using color category of d3
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: formatting second from epic time
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: implementing x-scale moving
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: fixing the increment bug
      * fixing xaxis scalling when the data is not enough to fill max_data
      * using timestamp for x axis
      * #12 <https://github.com/tork-a/visualization_rwt/issues/12>: sorting the topics
      * fix default http port from 9090 -> 8888
      * add rosdep rosbridge_suite
      * #8 <https://github.com/tork-a/visualization_rwt/issues/8>: using timestamp of header if possible
      * #7 <https://github.com/tork-a/visualization_rwt/issues/7>: updating README
      * #5 <https://github.com/tork-a/visualization_rwt/issues/5>: introducing new function: axisMinMaxWithMargin
      * #5 <https://github.com/tork-a/visualization_rwt/issues/5>: adding auto_scale_margin
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: using floor
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: fixing rwt_plot
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting timestamp data
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting ros
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting auto scale
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: deprecate multi plot2
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting multi plot
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting basic_sample
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: implementing rwt_plot using d3
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: adding less
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: adding d3
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: fixing indentation
      * #3 <https://github.com/tork-a/visualization_rwt/issues/3>: fixing ROSLIB.Time in example
      * #3 <https://github.com/tork-a/visualization_rwt/issues/3>: using RingBuffer for sequential data
      * #3 <https://github.com/tork-a/visualization_rwt/issues/3>: implementing RingBuffer
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding some documentation
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding Profile.js
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: running jshint
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding grunt-contrib-lss
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding default task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding jshint task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding build task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding Gruntfile.js which include concat and uglify task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding package.json
    
  * renaming js_utils -> rwt_utils_3rdparty
  * the very first version of rwt_plot
  * Contributors: Yuki Furuta, Isaac Saito, Kei Okada, Ryohei Uead

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-rwt-plot
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-rosbridge-server, ros-noetic-rospy, ros-noetic-rostest, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/rwt_plot
Standards-Version: 3.9.2

Package: ros-noetic-rwt-plot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-rosbridge-server, ros-noetic-rospy, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-std-msgs
Description: rwt_plot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rwt-plot//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rwt-plot 0.1.3

=== debian/changelog ===
ros-noetic-rwt-plot (0.1.3-1focal) focal; urgency=high

  * add missing test_depends (#131 <https://github.com/tork-a/visualization_rwt//issues/131>)
    fixes https://build.ros.org/job/Nbin_uF64__rwt_app_chooser__ubuntu_focal_amd64__binary/1/console
    ```
    13:43:55 -- Using Python nosetests: /usr/bin/nosetests3
    13:43:55 -- catkin 0.8.10
    13:43:55 -- BUILD_SHARED_LIBS is on
    13:43:55 -- Could NOT find roslaunch (missing: roslaunch_DIR)
    13:43:55 -- Could not find the required component 'roslaunch'. The following CMake error indicates that you either need to install the package with the same name or change your environment so that it can be found.
    13:43:55 CMake Error at /opt/ros/noetic/share/catkin/cmake/catkinConfig.cmake:83 (find_package):
    13:43:55   Could not find a package configuration file provided by "roslaunch" with
    13:43:55   any of the following names:
    13:43:55
    13:43:55     roslaunchConfig.cmake
    13:43:55     roslaunch-config.cmake
    13:43:55
    13:43:55   Add the installation prefix of "roslaunch" to CMAKE_PREFIX_PATH or set
    13:43:55   "roslaunch_DIR" to a directory containing one of the above files.  If
    13:43:55   "roslaunch" provides a separate development package or SDK, be sure it has
    13:43:55   been installed.
    13:43:55 Call Stack (most recent call first):
    13:43:55   CMakeLists.txt:13 (find_package)
    13:43:55
    13:43:55
    13:43:55 -- Configuring incomplete, errors occurred!
    13:43:55 See also "/tmp/binarydeb/ros-noetic-rwt-app-chooser-0.1
    ```
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Wed, 31 May 2023 15:00:00 -0000

ros-noetic-rwt-plot (0.1.2-1focal) focal; urgency=high

  * fix for noetic (#130 <https://github.com/tork-a/visualization_rwt//issues/130>)
    
      * fix test code for selenium version >= 4.3.0
    
  * [rwt_utils_3rdparty] update jquery from 1.8.3 to 1.12.4 (#124 <https://github.com/tork-a/visualization_rwt//issues/124>)
  * [rwt_plot][rwt_image_view] use rwt_utils_3rdparty/www/jquery.min.js instead of rwt_utils_3rdparty/www/jquery/jquery.min.js
  * Contributors: Kei Okada, Koki Shinjo

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 29 May 2023 15:00:00 -0000

ros-noetic-rwt-plot (0.1.1-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.1.0-1focal) focal; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * add test for rwt tools (#110 <https://github.com/tork-a/visualization_rwt/issues/110>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.0.5-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.0.4-1focal) focal; urgency=high

  * Add settings for ROS connection (#76 <https://github.com/tork-a/visualization_rwt//issues/76>)
  * Modified rwt's javascript module path. (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Furuta Yuki, Kei Okada, Iory Yanokura

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-plot (0.0.3-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-rwt-plot (0.0.2-1focal) focal; urgency=high

  * remove old rosbuild files
  * reomve depends to the packages released from CDN
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * don't make functions within a loop
  * catkinize visualization_rwt packages
  * changes the color according to the level of the statuses #15 <https://github.com/tork-a/visualization_rwt/issues/15>
  * fixing conflict
  * supporting ticks #15 <https://github.com/tork-a/visualization_rwt/issues/15>:
    
      * #15 <https://github.com/tork-a/visualization_rwt/issues/15>: plotting data
      * #17 <https://github.com/tork-a/visualization_rwt/issues/17>: using color category of d3
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: formatting second from epic time
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: implementing x-scale moving
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: fixing the increment bug
      * fixing xaxis scalling when the data is not enough to fill max_data
      * using timestamp for x axis
      * #12 <https://github.com/tork-a/visualization_rwt/issues/12>: sorting the topics
      * fix default http port from 9090 -> 8888
      * add rosdep rosbridge_suite
      * #8 <https://github.com/tork-a/visualization_rwt/issues/8>: using timestamp of header if possible
      * #7 <https://github.com/tork-a/visualization_rwt/issues/7>: updating README
      * #5 <https://github.com/tork-a/visualization_rwt/issues/5>: introducing new function: axisMinMaxWithMargin
      * #5 <https://github.com/tork-a/visualization_rwt/issues/5>: adding auto_scale_margin
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: using floor
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: fixing rwt_plot
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting timestamp data
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting ros
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting auto scale
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: deprecate multi plot2
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting multi plot
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting basic_sample
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: implementing rwt_plot using d3
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: adding less


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>
-Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-rosbridge-server, ros-noetic-rospy, ros-noetic-rostest, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-std-msgs
+Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-rosbridge-server, ros-noetic-roslaunch <!nocheck>, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-std-msgs
 Homepage: http://wiki.ros.org/rwt_plot
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
